/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-10-24
 * 描述            ：SERIAL_NO
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Repair.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Repair.mapper.PlnRepairPerformanceMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PLN_REPAIR_PERFORMANCE", namespace=PlnRepairPerformanceMapper.class)
public class PlnRepairPerformance extends BaseVO implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2483279515180169915L;
	/** 
	 * 任务编号
	 */ 
	@Id
	private Long serial_no;
	public Long getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(Long serial_no) {
		this.serial_no = serial_no;
	}
	
	/** 
	 * 检修任务实绩编号
	 */ 
	@Column
	private String performance_no;
	public String getPerformance_no() {
		return this.performance_no;
	}
	public void setPerformance_no(String performance_no) {
		this.performance_no = performance_no;
	}

	

	/** 
	 * 任务次数ID
	 */ 
	@Id
	private Long task_id;
	public Long getTask_id() {
		return this.task_id;
	}
	public void setTask_id(Long task_id) {
		this.task_id = task_id;
	}

	/** 
	 * 检修开始时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date repair_begin_time;
	public Date getRepair_begin_time() {
		return this.repair_begin_time;
	}
	public void setRepair_begin_time(Date repair_begin_time) {
		this.repair_begin_time = repair_begin_time;
	}

	/** 
	 * 检修结束时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date repair_end_time;
	public Date getRepair_end_time() {
		return this.repair_end_time;
	}
	public void setRepair_end_time(Date repair_end_time) {
		this.repair_end_time = repair_end_time;
	}

	/** 
	 * 检修时长(分钟)
	 */ 
	@Column
	private Long repair_duration;
	public Long getRepair_duration() {
		return this.repair_duration;
	}
	public void setRepair_duration(Long repair_duration) {
		this.repair_duration = repair_duration;
	}

	/** 
	 * 产线
	 */ 
	@Column
	private String pline_code;
	public String getPline_code() {
		return this.pline_code;
	}
	public void setPline_code(String pline_code) {
		this.pline_code = pline_code;
	}

	/** 
	 * 检修区域
	 */ 
	@Column
	private String check_aera;
	public String getCheck_aera() {
		return this.check_aera;
	}
	public void setCheck_aera(String check_aera) {
		this.check_aera = check_aera;
	}

	/** 
	 * 设备名称
	 */ 
	@Column
	private String device_name;
	public String getDevice_name() {
		return this.device_name;
	}
	public void setDevice_name(String device_name) {
		this.device_name = device_name;
	}

	/** 
	 * 检修原因
	 */ 
	@Column
	private String repair_reason;
	public String getRepair_reason() {
		return this.repair_reason;
	}
	public void setRepair_reason(String repair_reason) {
		this.repair_reason = repair_reason;
	}

	/** 
	 * 检修状态
	 */ 
	@Column
	private String repair_state;
	public String getRepair_state() {
		return this.repair_state;
	}
	public void setRepair_state(String repair_state) {
		this.repair_state = repair_state;
	}

	/** 
	 * 责任人
	 */ 
	@Column
	private String owner_man;
	public String getOwner_man() {
		return this.owner_man;
	}
	public void setOwner_man(String owner_man) {
		this.owner_man = owner_man;
	}

	/** 
	 * 监督人
	 */ 
	@Column
	private String custodian_man;
	public String getCustodian_man() {
		return this.custodian_man;
	}
	public void setCustodian_man(String custodian_man) {
		this.custodian_man = custodian_man;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String remark;
	public String getRemark() {
		return this.remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_man_name;
	public String getCreate_man_name() {
		return this.create_man_name;
	}
	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/**
	 * 计划执行时间
	 */
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date plan_time;
	public Date getPlan_time() {
		return plan_time;
	}
	public void setPlan_time(Date plan_time) {
		this.plan_time = plan_time;
	}

	/**
	 * STRENGTH 审批人
	 */
	@Column
	private  String strength;
	public String getStrength() {
		return this.strength;
	}
	public void setStrength(String strength) {
		this.strength = strength;
	}

	private String plan;
	public String getPlan() {
		return plan;
	}
	public void setPlan(String plan) {
		this.plan = plan;
	}

	private String detatls_no;
	public String getDetatls_no() {
		return detatls_no;
	}
	public void setDetatls_no(String detatls_no) {
		this.detatls_no = detatls_no;
	}
	
	private String overhaul_no;
	public String getOverhaul_no() {
		return overhaul_no;
	}
	public void setOverhaul_no(String overhaul_no) {
		this.overhaul_no = overhaul_no;
	}

	private String details_true;
	public String getDetails_true() {
		return details_true;
	}
	public void setDetails_true(String details_true) {
		this.details_true = details_true;
	}
  	 // 完成情况
	private String achieve;
	public String getAchieve() {
		return achieve;
	}
	public void setAchieve(String achieve) {
		this.achieve = achieve;
	}
  	// 未完成情况
	private String not_achieve;
	public String getNot_Achieve() {
		return not_achieve;
	}
	public void setNot_Achieve(String not_achieve) {
		this.not_achieve = not_achieve;
	}
	private String overhaul_content;
	public String getOverhaul_content() {
		return overhaul_content;
	}
	public void setOverhaul_content(String overhaul_content) {
		this.overhaul_content = overhaul_content;
	}

	/** 
	 * 备注
	 */ 
	private String remarks;
	public String getRemarks() {
		return this.remarks;
	}
	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}
}
